Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.entities
Class Entity

    java.lang.Object
      org.pdfclown.documents.contents.entities.Entity

All Implemented Interfaces:
  IContentEntity

Direct Known Subclasses:
  Barcode, Image

    public abstract class Entity

extends Object
implements IContentEntity

Abstract specialized graphic object.

Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Entity()`

Method Summary
`abstract ContentObject` | `toInlineObject(PrimitiveComposer composer)` Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].
`abstract XObject` | `toXObject(Document context)` Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Entity

    public Entity()

Method Detail

### toInlineObject

    public abstract ContentObject toInlineObject(PrimitiveComposer composer)

  Description copied from interface: `IContentEntity`
  Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].

  This method creates and shows an inline object within the target content context, returning it.

  Due to its direct-content nature (opposite to the indirect-content nature of external objects (see `IContentEntity.toXObject(Document)`)), the resulting object should be shown only one time in order not to wastefully duplicate its data.

  Specified by:
    `toInlineObject` in interface `IContentEntity`
  Parameters:
    `composer` - Target content composer.
  Returns:
    The inline object representing the entity.

### toXObject

    public abstract XObject toXObject(Document context)

  Description copied from interface: `IContentEntity`
  Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

  This method creates an external object within the target document, returning it. To show it in a content context (for example: a page), then it must be applied in an appropriate manner (see `PrimitiveComposer` object).

  Specified by:
    `toXObject` in interface `IContentEntity`
  Parameters:
    `context` - Target document.
  Returns:
    The external object representing the entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.